
#ifndef  ICS2_RH850F1KM_S1_H
#define  ICS2_RH850F1KM_S1_H

//----------------------------------------- 48p 64p 80p 100p ----
#define  ICS_RLIN30_P002_P003     (0x00) //  o   o   o   o   OK
#define  ICS_RLIN31_P005_P004     (0x10) //  -   o   o   o   OK
#define  ICS_RLIN32_P014_P013     (0x20) //  -   -   -   o
#define  ICS_RLIN30_P1010_P1009   (0x01) //  o   o   o   o
#define  ICS_RLIN31_P1012_P1011   (0x11) //  -   o   o   o   OK
#define  ICS_RLIN32_P1014_P1013   (0x21) //  -   -   o   o
#define  ICS_RLIN32_P1103_P1102   (0x22) //  -   -   o   o
#define  ICS_RLIN33_P1105_P1106   (0x30) //  -   -   -   o


void     ics2_init(uint8_t port, uint8_t intlevel, uint8_t speed, uint8_t mode);
void     ics2_watchpoint(void);
uint32_t ics2_version(void);

void     ics_int_sci_rxi(uint8_t ch);
void     ics_int_sci_eri(void);

#define   TXBUFLEN                   (18)


//#define   ICS_RLIN30
  #define   ICS_RLIN31
//#define   ICS_RLIN32
//#define   ICS_RLIN33


//-------------------------------------------------------------------------------
// From Line 2307 
union __ICStag166
{                                                          /* IOR              */
    unsigned short UINT16;                                 /* 16-bit Access    */
    unsigned char  UINT8[2];                               /* 8-bit Access     */
    struct 
    {
        union
        {                                                  /* IOR              */
            unsigned char  UINT8;                          /*  8-bit Access    */
        } LBRP0;
        union
        {                                                  /* IOR              */
            unsigned char  UINT8;                          /*  8-bit Access    */
        } LBRP1;
    } REGS8;
};

//------------------------------------------------------------------------------
// From Line 2323
union __ICStag167
{                                                          /* IOR              */
    unsigned short UINT16;                                 /* 16-bit Access    */
    unsigned char  UINT8[2];                               /* 8-bit Access     */
};


//------------------------------------------------------------------------------
// From line 3952
struct __ICStag356
{                                                          /* Module           */
    unsigned char  dummy166[1];                            /* Reserved         */
    unsigned char  LWBR;                                   /* LWBR             */
    union __ICStag166 LBRP01;                                 /* LBRP01           */
    unsigned char  LSTC;                                   /* LSTC             */
    unsigned char  dummy167[3];                            /* Reserved         */
    unsigned char  LMD;                                    /* LMD              */
    unsigned char  LBFC;                                   /* LBFC             */
    unsigned char  LSC;                                    /* LSC              */
    unsigned char  LWUP;                                   /* LWUP             */
    unsigned char  LIE;                                    /* LIE              */
    unsigned char  LEDE;                                   /* LEDE             */
    unsigned char  LCUC;                                   /* LCUC             */
    unsigned char  dummy168[1];                            /* Reserved         */
    unsigned char  LTRC;                                   /* LTRC             */
    unsigned char  LMST;                                   /* LMST             */
    unsigned char  LST;                                    /* LST              */
    unsigned char  LEST;                                   /* LEST             */
    unsigned char  LDFC;                                   /* LDFC             */
    unsigned char  LIDB;                                   /* LIDB             */
    unsigned char  LCBR;                                   /* LCBR             */
    unsigned char  LUDB0;                                  /* LUDB0            */
    unsigned char  LDBR1;                                  /* LDBR1            */
    unsigned char  LDBR2;                                  /* LDBR2            */
    unsigned char  LDBR3;                                  /* LDBR3            */
    unsigned char  LDBR4;                                  /* LDBR4            */
    unsigned char  LDBR5;                                  /* LDBR5            */
    unsigned char  LDBR6;                                  /* LDBR6            */
    unsigned char  LDBR7;                                  /* LDBR7            */
    unsigned char  LDBR8;                                  /* LDBR8            */
    unsigned char  LUOER;                                  /* LUOER            */
    unsigned char  LUOR1;                                  /* LUOR1            */
    unsigned char  dummy169[2];                            /* Reserved         */
    union __ICStag167 LUTDR;                               /* LUTDR            */
    union __ICStag167 LURDR;                               /* LURDR            */
    union __ICStag167 LUWTDR;                              /* LUWTDR           */
};


union __txbuf
{
    uint8_t   txbuf[ TXBUFLEN];      /* for DMA buffer */
    uint16_t  txbufw[TXBUFLEN>>1];   /* 16bit */
};


extern   union  __txbuf   ics_tx;
extern   struct __ICStag356 *_ics_RLIN;


#endif  // ICS2_RH850F1KM_S1_H
