/**********************************************************

   UART PollingɂM
   UART DMAɂ著M

***********************************************************/

#ifdef  __ICCRX__
  #include "r_cg_macrodriver.h"
#elif   __CCRH__
  #include "r_cg_macrodriver.h"
//#include <stdint.h>      // define  int32_t  Ȃ
  #include "iodefine.h"
#else
  //
#endif

#include "ICS2_RH850F1KM-S1.h"

#define   WATCH_SUPPORT_VARTYPE      (0x1FFU)
#define   SCOPE_SUPPORT_CHMAX        (12)
#define   SCOPE_SUPPORT_VARTYPE      (0x1FFU)
#define   TXBUFLEN                   (18)

#define   RAMSTARTADDR        (0xFEDE0000U)


void        ics_int_sci_eri(void);

extern uint32_t ics_waddr[SCOPE_SUPPORT_CHMAX];
extern uint8_t  ics_wbuf[TXBUFLEN];    /* for watch function       */
extern int16_t  ics_wready;            /* 0:No data in ics_wbuf[] */
extern uint8_t  ics_rx_cnt;
extern uint8_t  ics_rsum;
extern uint8_t  ics_rcom;
extern uint8_t  ics_even;

extern uint8_t  _ics_tmode;
//extern uint8_t *_ics_TDR;

       uint8_t  _ics_speed;
       uint8_t  _ics_port;
       uint8_t  _ics_portch;

volatile uint32_t _u4_cg_sync_read;       
       
struct __ICStag356 *_ics_RLIN;

//uint32_t  _u4UARTReceiveCount  = 0;
//uint32_t  _u4UARTTransmitCount = 0;
//uint32_t  _u4UARTErrorCount    = 0;

/* Channel operation enable (DTE) */
#define _DMAC_CHANNEL_OPERATION_DISABLED                    (0x00000000UL) /* Channel is disabled/suspended */
#define _DMAC_CHANNEL_OPERATION_ENABLED                     (0x00000001UL) /* Channel is enabled/suspension cleared */

/* Channel master UM setting (UM) (UM) */
#define _DMAC_SUPERVISON_MODE                               (0x00000000UL) /* Supervison mode */
#define _DMAC_USER_MODE                                     (0x00000002UL) /* User mode */
/* Channel master SPID setting  (SPID[1:0]) */
#define _DMAC_SPID0_SETTING                                 (0x00000000UL) /* SPID0 */
#define _DMAC_SPID1_SETTING                                 (0x00000004UL) /* SPID1 */
#define _DMAC_SPID2_SETTING                                 (0x00000008UL) /* SPID2 */
#define _DMAC_SPID3_SETTING                                 (0x0000000CUL) /* SPID3 */
/* Channel master PEID setting  (PEID[2:0]) */
#define _DMAC_PE1_SETTING                                   (0x00000010UL) /* PE1 */
#define _DMAC_PE2_SETTING                                   (0x00000030UL) /* PE2 */

/* address for DMA *******************************************/
#define _DMAC00_TRANSFER_COUNT                (0x00000011UL)
#define _DMAC00_RELOAD_TRANSFER_COUNT         (0x00000011UL)

/* DMAC Transfer Control Register m (DTCTm) ***********************/
/* DMA transfer disable on transfer error setting (ESE) */
#define _DMAC_CYCLES_EXECUTED                               (0x00000000UL) /* DMA cycles are executed */
//#define _DMAC_CYCLES_NOT_EXECUTED                           (0x08000000UL) /* DMA cycles are not executed */
/* DMA transfer request selection assignment (DRS) */
#define _DMAC_TRANSFER_HARDWARE                             (0x04000000UL) /* Hardware DMA transfer request */
/* Chain enable (CHNE[1:0]) */
#define _DMAC_CHAIN_DISABLE                                 (0x00000000UL) /* chain function disabled */
/* Transfer completion interrupt enable (TCE) */
#define _DMAC_TRANSFER_COMPLETION_INTERRUPT_DISABLE         (0x00000000UL) /* Transfer completion interrupt disable */
/* Continuous transfer enable (MLE) */
#define _DMAC_CONTINUOUS_TRANSFER_DISABLE                   (0x00000000UL) /* DTE bit is not cleared */
/* Reload function 2 setting (RLD2M[1:0]) */
#define _DMAC_RELOAD2_DISABLE                               (0x00000000UL) /* Reload function 2 is disabled */
#define _DMAC_RELOAD2_SOURCE_CONTROL                        (0x00000800UL) /* Reload function 2 is enabled source */
#define _DMAC_RELOAD2_DESTINATION_CONTROL                   (0x00001000UL) /* Reload function 2 is enabled destination */
#define _DMAC_RELOAD2_ALL_CONTROL                           (0x00001800UL) /* Reload function 2 is enabled all */
/* Reload function 1 setting (RLD1M[1:0]) */
#define _DMAC_RELOAD1_DISABLE                               (0x00000000UL) /* Reload function 1 is disabled */
#define _DMAC_RELOAD1_SOURCE_CONTROL                        (0x00000200UL) /* Reload function 1 is enabled source */
#define _DMAC_RELOAD1_DESTINATION_CONTROL                   (0x00000400UL) /* Reload function 1 is enabled destination */
#define _DMAC_RELOAD1_ALL_CONTROL                           (0x00000600UL) /* Reload function 1 is enabled all */
/* Destination address count direction (DACM[1:0]) */
#define _DMAC_DESTINATION_FIXED                             (0x00000100UL) /* fixed */
/* Source address count direction (SACM[1:0]) */
#define _DMAC_SOURCE_INCREMENT                              (0x00000000UL) /* Increment mode */
/* Transfer data size (DS[2:0]) */
#define _DMAC_TRANSFER_DATA_8BITS                           (0x00000000UL) /* transfer data size 8 bits */
/* Transfer mode (TRM[1:0]) */
#define _DMAC_SINGLE_TRANSFER                               (0x00000000UL) /* Single transfer */
//#define _DMAC_BOLCK_TRANSFER_1                              (0x00000001UL) /* Block transfer 1 */
//#define _DMAC_BOLCK_TRANSFER_2                              (0x00000002UL) /* Block transfer 2 */

/* Hardware DMA transfer source selection enable (REQEN) */
#define _DMAC_HARDWARE_TRIGGER_DISABLE                      (0x00000000UL) /* Hardware transfer source is disabled */
#define _DMAC_HARDWARE_TRIGGER_ENABLE                       (0x00000001UL) /* Hardware transfer source is enabled */

/* Hardware DMA transfer source selection (REQSEL[6:0]) */
#define _DMAC_TRIGGER_SOURCE_10                             (0x00000014UL) /* INTRLIN30UR0  UART0 */
#define _DMAC_TRIGGER_SOURCE_86                             (0x000000ACUL) /* INTRLIN31UR0  UART1 */
#define _DMAC_TRIGGER_SOURCE_44                             (0x00000058UL) /* INTRLIN32UR0  UART2 */
#define _DMAC_TRIGGER_SOURCE_111                            (0x000000DEUL) /* INTRLIN33UR0  UART3 */
#define _DMAC_TRIGGER_SOURCE_50                             (0x00000064UL) /* INTRLIN34UR0  UART4 */
#define _DMAC_TRIGGER_SOURCE_121                            (0x000000F2UL) /* INTRLIN35UR0  UART5 */
#define _DMAC_TRIGGER_SOURCE_119                            (0x000000EEUL) /* INTRLIN36UR0  UART6 */
              

/* RLIN3x definitions */
/* LIN reset (OM0) */
#define _UART_LIN_RESET_MODE_CAUSED                 (0x00U) /* LIN reset mode is caused */
#define _UART_LIN_RESET_MODE_CANCELED               (0x01U) /* LIN reset mode is canceled. */

/* Bit sampling count select (NSPB[3:0]) */
#define _UART_6_SAMPLING                            (0x50U) /* 6 sampling */
#define _UART_8_SAMPLING                            (0x70U) /* 8 sampling */
/* Prescaler clock select (LPRS[2:0]) */
#define _UART_PRESCALER_CLOCK_SELECT_1              (0x00U) /* Prescaler clock select 1/1 */

/* UART reception data noise filtering disable (LRDNFS) */
#define _UART_NOISE_FILTER_ENABLED                  (0x00U) /* The noise filter is enabled */
/* LIN or UART mode select (LMD[1:0]) */
#define _UART_MODE_SELECT                           (0x01U) /* UART mode */

/* Framing error detection enable (FERE) */
#define _UART_FRAMING_ERROR_DETECTED                (0x08U) /* Enables framing error detection */
/* Overrun error detection enable (OERE) */
#define _UART_OVERRUN_ERROR_DETECTED                (0x04U) /* Enables overrun error detection */
/* Bit error detection enable (BERE) */
#define _UART_BIT_ERROR_DETECTED                    (0x01U) /* Enables bit error detection */

/* UART output polarity switch (UTPS) */
#define _UART_TRANSMISSION_NORMAL                   (0x00U) /* Transmit data normal output */
/* UART input polarity switch (URPS) */
#define _UART_RECEPTION_NORMAL                      (0x00U) /* Reception data normal output */
/* UART parity select (UPS[1:0]) */
#define _UART_PARITY_PROHIBITED                     (0x00U) /* Parity prohibited */
/* UART stop bit length select (USBLS) */
#define _UART_STOP_BIT_1                            (0x00U) /* Stop bit: 1 bit */
/* UART transfer format order select (UBOS) */
#define _UART_LSB                                   (0x00U) /* LSB first */
/* UART character length select (UBLS) */
#define _UART_LENGTH_8                              (0x00U) /* UART 8 bits communication */
/* Reception enable (UROE) */
#define _UART_RECEPTION_ENABLED                     (0x02U) /* Enables reception */
/* Transmission enable (UTOE) */
#define _UART_TRANSMISSION_ENABLED                  (0x01U) /* Enables transmission */
/* UART Error Clear Flag Macro Definition */
#define _UART_CLEAR_ERROR_FLAG                      (0x7D)



void ics2_init(uint8_t port, uint8_t intlevel, uint8_t speed, uint8_t mode)
{
    int16_t  i;

    _ics_tmode   = mode;
    _ics_speed   = speed;
    _ics_port    = port;
    _ics_portch  = _ics_port>>4;

    for(i=0;i<SCOPE_SUPPORT_CHMAX;i++)
    {
        ics_waddr[i] = RAMSTARTADDR;  /* RAM START ADDR */
      //ics_wtype[i] = WTYPE_INT32;   /* 32bit int      */
    }
    
    PEG.SP.UINT32   = 1;  // access enable by DMA
    PEG.G0MK.UINT32 = 0x0001F000;
    PEG.G0BA.UINT32 = 0xFEBE00F7;    
    
    PEG.G1MK.UINT32 = 0x0001F000;
    PEG.G1BA.UINT32 = 0xFEDE00F7;
    
    ics_rx_cnt = 0;
    ics_wready = 0;   /* no data in ics_wbuf[] */
    
    //=== RLIN3x Init =====================================    
    if (ICS_RLIN30_P002_P003==_ics_port)
    {
        _ics_RLIN = (void*)&RLN30;

        /* Set RLIN30TX pin */
        PORT.PIBC0 &= _PORT_CLEAR_BIT2;
        PORT.PBDC0 &= _PORT_CLEAR_BIT2;
        PORT.PM0   |= _PORT_SET_BIT2;
        PORT.PMC0  &= _PORT_CLEAR_BIT2;
        PORT.PIPC0 &= _PORT_CLEAR_BIT2;
        PORT.PFCAE0&= _PORT_CLEAR_BIT2; // Mode Type2
	PORT.PFCE0 &= _PORT_CLEAR_BIT2; // Mode Type2
        PORT.PFC0  |= _PORT_SET_BIT2;   // Mode Type2
        PORT.PMC0  |= _PORT_SET_BIT2;
        PORT.PM0   &= _PORT_CLEAR_BIT2;
        /* Set RLIN30RX pin */
        PORT.PIBC0 &= _PORT_CLEAR_BIT3;
        PORT.PBDC0 &= _PORT_CLEAR_BIT3;
        PORT.PM0   |= _PORT_SET_BIT3;
        PORT.PMC0  &= _PORT_CLEAR_BIT3;
        PORT.PIPC0 &= _PORT_CLEAR_BIT3;
        PORT.PFCAE0|= _PORT_SET_BIT3;   // Mode Type7
        PORT.PFCE0 |= _PORT_SET_BIT3;   // Mode Type7
        PORT.PFC0  &= _PORT_CLEAR_BIT3; // Mode Type7
        PORT.PMC0  |= _PORT_SET_BIT3;

    }
    if (ICS_RLIN30_P1010_P1009==_ics_port)
    {
        _ics_RLIN = (void*)&RLN30;

        /* Set RLIN31TX pin */
        PORT.PIBC10 &= _PORT_CLEAR_BIT10;
        PORT.PBDC10 &= _PORT_CLEAR_BIT10;
        PORT.PM10   |= _PORT_SET_BIT10;
        PORT.PMC10  &= _PORT_CLEAR_BIT10;
        PORT.PIPC10 &= _PORT_CLEAR_BIT10;
        PORT.PFCAE10&= _PORT_CLEAR_BIT10; //Mode Type2
        PORT.PFCE10 &= _PORT_CLEAR_BIT10; //Mode Type2
        PORT.PFC10  |= _PORT_SET_BIT10;   //Mode Type2
        PORT.PMC10  |= _PORT_SET_BIT10;
        PORT.PM10   &= _PORT_CLEAR_BIT10;
        /* Set RLIN31RX pin */
        PORT.PIBC10 &= _PORT_CLEAR_BIT9;
        PORT.PBDC10 &= _PORT_CLEAR_BIT9;
        PORT.PM10   |= _PORT_SET_BIT9;
        PORT.PMC10  &= _PORT_CLEAR_BIT9;
        PORT.PIPC10 &= _PORT_CLEAR_BIT9;
        PORT.PFCAE10|= _PORT_SET_BIT9;   //Mode Type7
        PORT.PFCE10 |= _PORT_SET_BIT9;   //Mode Type7
        PORT.PFC10  &= _PORT_CLEAR_BIT9; //Mode Type7
        PORT.PMC10  |= _PORT_SET_BIT9;

    }
    if (ICS_RLIN31_P005_P004==_ics_port)
    {
        _ics_RLIN = (void*)&RLN31;

        /* Set RLIN31TX pin */
        PORT.PIBC0 &= _PORT_CLEAR_BIT5;
        PORT.PBDC0 &= _PORT_CLEAR_BIT5;
        PORT.PM0   |= _PORT_SET_BIT5;
        PORT.PMC0  &= _PORT_CLEAR_BIT5;
        PORT.PIPC0 &= _PORT_CLEAR_BIT5;
        PORT.PFCAE0&= _PORT_CLEAR_BIT5; //Mode Type1
        PORT.PFCE0 &= _PORT_CLEAR_BIT5; //Mode Type1
        PORT.PFC0  &= _PORT_CLEAR_BIT5; //Mode Type1
        PORT.PMC0  |= _PORT_SET_BIT5;
        PORT.PM0   &= _PORT_CLEAR_BIT5;
        /* Set RLIN31RX pin */
        PORT.PIBC0 &= _PORT_CLEAR_BIT4;
        PORT.PBDC0 &= _PORT_CLEAR_BIT4;
        PORT.PM0   |= _PORT_SET_BIT4;
        PORT.PMC0  &= _PORT_CLEAR_BIT4;
        PORT.PIPC0 &= _PORT_CLEAR_BIT4;
        PORT.PFCAE0|= _PORT_SET_BIT4;   //Mode Type7
        PORT.PFCE0 |= _PORT_SET_BIT4;   //Mode Type7
        PORT.PFC0  &= _PORT_CLEAR_BIT4; //Mode Type7
        PORT.PMC0  |= _PORT_SET_BIT4;
    }
    if (ICS_RLIN31_P1012_P1011==_ics_port)
    {
        _ics_RLIN = (void*)&RLN31;

        /* Set RLIN31TX pin */
        PORT.PIBC10 &= _PORT_CLEAR_BIT12;
        PORT.PBDC10 &= _PORT_CLEAR_BIT12;
        PORT.PM10   |= _PORT_SET_BIT12;
        PORT.PMC10  &= _PORT_CLEAR_BIT12;
        PORT.PIPC10 &= _PORT_CLEAR_BIT12;
        PORT.PFCAE10&= _PORT_CLEAR_BIT12; //Mode Type2
        PORT.PFCE10 &= _PORT_CLEAR_BIT12; //Mode Type2
        PORT.PFC10  |= _PORT_SET_BIT12; //Mode Type2
        PORT.PMC10  |= _PORT_SET_BIT12;
        PORT.PM10   &= _PORT_CLEAR_BIT12;
        /* Set RLIN31RX pin */
        PORT.PIBC10 &= _PORT_CLEAR_BIT11;
        PORT.PBDC10 &= _PORT_CLEAR_BIT11;
        PORT.PM10   |= _PORT_SET_BIT11;
        PORT.PMC10  &= _PORT_CLEAR_BIT11;
        PORT.PIPC10 &= _PORT_CLEAR_BIT11;
        PORT.PFCAE10|= _PORT_SET_BIT11;   //Mode Type7
        PORT.PFCE10 |= _PORT_SET_BIT11;   //Mode Type7
        PORT.PFC10  &= _PORT_CLEAR_BIT11; //Mode Type7
        PORT.PMC10  |= _PORT_SET_BIT11;
    }
    else
    {
        /* no code */
    }
    
    //=== DMA Init ========================================
    /* Disable DMAC00 operation */
    PDMA0.DCEN0 = _DMAC_CHANNEL_OPERATION_DISABLED;
    /* Disable DMAC00 complete interrupt (INTDMA0) operation and clear request */
    INTC2.ICDMA0.BIT.MKDMA0 = _INT_PROCESSING_DISABLED;    /* defined r_cg_macrodriver.h */
    INTC2.ICDMA0.BIT.RFDMA0 = _INT_REQUEST_NOT_OCCUR;      /* defined r_cg_macrodriver.h */
    /* Set DMAC00 complete interrupt (INTDMA0) setting */
    INTC2.ICDMA0.BIT.TBDMA0 = _INT_TABLE_VECTOR;           /* defined_r_cg_macrodriver.h */
    INTC2.ICDMA0.UINT16    &= _INT_PRIORITY_LOWEST;        /* defined_r_cg_macrodriver.h */
    /* Set DMAC00 global setting */
    PDMA0.DM00CM = _DMAC_PE1_SETTING | _DMAC_SPID1_SETTING | _DMAC_SUPERVISON_MODE;
    /* Set DMAC00 transfer setting */
    PDMA0.DSA0 = (unsigned long)(&(ics_tx.txbuf[1]));         //_DMAC00_SOURCE_ADDRESS;
    PDMA0.DDA0 = (unsigned long)(&(_ics_RLIN->LUTDR.UINT8));  //_DMAC00_DESTINATION_ADDRESS;
    PDMA0.DTC0 = _DMAC00_TRANSFER_COUNT;
    PDMA0.DTCT0 = _DMAC_CYCLES_EXECUTED | _DMAC_TRANSFER_HARDWARE | _DMAC_CHAIN_DISABLE | 
                  _DMAC_TRANSFER_COMPLETION_INTERRUPT_DISABLE | _DMAC_CONTINUOUS_TRANSFER_DISABLE | 
                  _DMAC_RELOAD2_DISABLE | _DMAC_RELOAD1_DISABLE | _DMAC_DESTINATION_FIXED | 
                  _DMAC_SOURCE_INCREMENT | _DMAC_TRANSFER_DATA_8BITS | _DMAC_SINGLE_TRANSFER;
    switch (_ics_portch)
    {
    case 0: PDMA0.DTFR0 = _DMAC_TRIGGER_SOURCE_10 | _DMAC_HARDWARE_TRIGGER_ENABLE; break;
    case 1: PDMA0.DTFR0 = _DMAC_TRIGGER_SOURCE_86 | _DMAC_HARDWARE_TRIGGER_ENABLE; break; 
    case 2: PDMA0.DTFR0 = _DMAC_TRIGGER_SOURCE_44 | _DMAC_HARDWARE_TRIGGER_ENABLE; break;
    case 3: PDMA0.DTFR0 = _DMAC_TRIGGER_SOURCE_111| _DMAC_HARDWARE_TRIGGER_ENABLE; break;
    default: break;
    }
 // /* Set DMAC00 reload setting */
 // PDMA0.DRSA0 = (unsigned long)(&(ics_tx.txbuf[1]));        //_DMAC00_RELOAD_SOURCE_ADDRESS;
 // PDMA0.DRDA0 = (unsigned long)(&(_ics_RLIN->LUTDR.UINT8)); //_DMAC00_RELOAD_DESTINATION_ADDRESS;
 // PDMA0.DRTC0 = 17;                                         //_DMAC00_RELOAD_COUNT
    /* Synchronization processing */
    _u4_cg_sync_read = PDMA0.DTCT0;
    
    if    (0==_ics_portch)    /* RLIN30 */
    {
        /* Set LIN reset mode */
        RLN30.LCUC = _UART_LIN_RESET_MODE_CAUSED;
        /* Disable ICRLIN30UR0 operation and clear request */
        INTC2.ICRLIN30UR0.BIT.MKRLIN30UR0 = _INT_PROCESSING_DISABLED;
        INTC2.ICRLIN30UR0.BIT.RFRLIN30UR0 = _INT_REQUEST_NOT_OCCUR;
        /* Disable ICRLIN30UR1 operation and clear request */
        INTC2.ICRLIN30UR1.BIT.MKRLIN30UR1 = _INT_PROCESSING_DISABLED;
        INTC2.ICRLIN30UR1.BIT.RFRLIN30UR1 = _INT_REQUEST_NOT_OCCUR;
        /* Disable ICRLIN30UR2 operation and clear request */
        INTC2.ICRLIN30UR2.BIT.MKRLIN30UR2 = _INT_PROCESSING_DISABLED;
        INTC2.ICRLIN30UR2.BIT.RFRLIN30UR2 = _INT_REQUEST_NOT_OCCUR;
        /* Set ICRLIN30UR0 table method */
        INTC2.ICRLIN30UR0.BIT.TBRLIN30UR0 = _INT_TABLE_VECTOR;
        /* Set ICRLIN30UR0 priority */
        INTC2.ICRLIN30UR0.UINT16         &= _INT_PRIORITY_LOWEST;
        /* Set ICRLIN30UR1 table method */
        INTC2.ICRLIN30UR1.BIT.TBRLIN30UR1 = _INT_TABLE_VECTOR;
        /* Set ICRLIN30UR1 priority */
     	INTC2.ICRLIN30UR1.UINT16         &= 0xFFC0U;
	INTC2.ICRLIN30UR1.UINT16         |= intlevel;
        /* Set ICRLIN30UR2 table method */
        INTC2.ICRLIN30UR2.BIT.TBRLIN30UR2 = _INT_TABLE_VECTOR;
        /* Set ICRLIN30UR2 priority */
	INTC2.ICRLIN30UR2.UINT16         &= 0xFFC0U;
	INTC2.ICRLIN30UR2.UINT16         |= intlevel;
        /* Set UART0 setting */
        RLN30.LWBR = _UART_6_SAMPLING | _UART_PRESCALER_CLOCK_SELECT_1;
        RLN30.LBRP01.UINT16 = _ics_speed;              //_UART0_BAUD_RATE_PRESCALER;
        RLN30.LMD = _UART_NOISE_FILTER_ENABLED | _UART_MODE_SELECT;
        RLN30.LEDE = _UART_FRAMING_ERROR_DETECTED | _UART_OVERRUN_ERROR_DETECTED;
        RLN30.LBFC = _UART_TRANSMISSION_NORMAL | _UART_RECEPTION_NORMAL
                   | _UART_PARITY_PROHIBITED   | _UART_STOP_BIT_1
                   | _UART_LSB                 | _UART_LENGTH_8;
        RLN30.LCUC = _UART_LIN_RESET_MODE_CANCELED;
        /* Synchronization processing */
        _u4_cg_sync_read = RLN30.LCUC;

        /* Enable UART0 operation */
        RLN30.LUOER |= _UART_RECEPTION_ENABLED | _UART_TRANSMISSION_ENABLED;
        /* Clear ICRLIN30UR1 interrupt request and enable operation */
        INTC2.ICRLIN30UR1.BIT.RFRLIN30UR1 = _INT_REQUEST_NOT_OCCUR;
        INTC2.ICRLIN30UR1.BIT.MKRLIN30UR1 = _INT_PROCESSING_ENABLED;
        /* Clear ICRLIN30UR2 interrupt request and enable operation */
        INTC2.ICRLIN30UR2.BIT.RFRLIN30UR2 = _INT_REQUEST_NOT_OCCUR;
        INTC2.ICRLIN30UR2.BIT.MKRLIN30UR2 = _INT_PROCESSING_ENABLED;
    }
    else if (1==_ics_portch)  /* RLIN31 */
    {
        /* Set LIN reset mode */
        RLN31.LCUC = _UART_LIN_RESET_MODE_CAUSED;
        /* Disable ICRLIN31UR0 operation and clear request */
        INTC2.ICRLIN31UR0.BIT.MKRLIN31UR0 = _INT_PROCESSING_DISABLED;
        INTC2.ICRLIN31UR0.BIT.RFRLIN31UR0 = _INT_REQUEST_NOT_OCCUR;
        /* Disable ICRLIN31UR1 operation and clear request */
        INTC2.ICRLIN31UR1.BIT.MKRLIN31UR1 = _INT_PROCESSING_DISABLED;
        INTC2.ICRLIN31UR1.BIT.RFRLIN31UR1 = _INT_REQUEST_NOT_OCCUR;
        /* Disable ICRLIN31UR2 operation and clear request */
        INTC2.ICRLIN31UR2.BIT.MKRLIN31UR2 = _INT_PROCESSING_DISABLED;
        INTC2.ICRLIN31UR2.BIT.RFRLIN31UR2 = _INT_REQUEST_NOT_OCCUR;
        /* Set ICRLIN31UR0 table method */
        INTC2.ICRLIN31UR0.BIT.TBRLIN31UR0 = _INT_TABLE_VECTOR;
        /* Set ICRLIN31UR0 priority */
        INTC2.ICRLIN31UR0.UINT16         &= _INT_PRIORITY_LOWEST;
        /* Set ICRLIN31UR1 table method */
        INTC2.ICRLIN31UR1.BIT.TBRLIN31UR1 = _INT_TABLE_VECTOR;
        /* Set ICRLIN31UR1 priority */
        INTC2.ICRLIN31UR1.UINT16         &= 0xFFC0U;
	INTC2.ICRLIN31UR1.UINT16         |= intlevel;
        /* Set ICRLIN31UR2 table method */
        INTC2.ICRLIN31UR2.BIT.TBRLIN31UR2 = _INT_TABLE_VECTOR;
        /* Set ICRLIN31UR2 priority */
        INTC2.ICRLIN31UR1.UINT16         &= 0xFFC0U;
	INTC2.ICRLIN31UR1.UINT16         |= intlevel;	
        /* Set UART1 setting */
        RLN31.LWBR = _UART_6_SAMPLING | _UART_PRESCALER_CLOCK_SELECT_1;
        RLN31.LBRP01.UINT16 = _ics_speed;              //_UART1_BAUD_RATE_PRESCALER;
        RLN31.LMD = _UART_NOISE_FILTER_ENABLED | _UART_MODE_SELECT;
        RLN31.LEDE = _UART_FRAMING_ERROR_DETECTED | _UART_OVERRUN_ERROR_DETECTED;
        RLN31.LBFC = _UART_TRANSMISSION_NORMAL | _UART_RECEPTION_NORMAL
                   | _UART_PARITY_PROHIBITED   | _UART_STOP_BIT_1
                   | _UART_LSB                 | _UART_LENGTH_8;
        RLN31.LCUC = _UART_LIN_RESET_MODE_CANCELED;
        /* Synchronization processing */
        _u4_cg_sync_read = RLN31.LCUC;

        /* Enable UART1 operation */
        RLN31.LUOER |= _UART_RECEPTION_ENABLED | _UART_TRANSMISSION_ENABLED;
        /* Clear ICRLIN31UR1 interrupt request and enable operation */
        INTC2.ICRLIN31UR1.BIT.RFRLIN31UR1 = _INT_REQUEST_NOT_OCCUR;
        INTC2.ICRLIN31UR1.BIT.MKRLIN31UR1 = _INT_PROCESSING_ENABLED;
        /* Clear ICRLIN31UR2 interrupt request and enable operation */
        INTC2.ICRLIN31UR2.BIT.RFRLIN31UR2 = _INT_REQUEST_NOT_OCCUR;
        INTC2.ICRLIN31UR2.BIT.MKRLIN31UR2 = _INT_PROCESSING_ENABLED;
    }
    else if (2==_ics_portch)  /* RLIN32 */
    {
        
    }
    else if (3==_ics_portch)  /* RLIN33 */
    {
        
    }
    
    else { /* no code */ }
}



void ics_send(void)
{
    *_ics_RLIN->LUTDR.UINT8 = ics_tx.txbuf[0];
    PDMA0.DCSTC0 = 0x10;  // Clear TC
    
    PDMA0.DSA0 = ((unsigned long)&(ics_tx.txbuf[1]))-0x200000;
 // PDMA0.DDA0 = (unsigned long)(&(_ics_RLIN->LUTDR.UINT8));
    PDMA0.DTC0 = 17;    

    /* Clear DMAC00 complete interrupt (INTDMA0) request and enable operation */
    INTC2.ICDMA0.BIT.RFDMA0 = _INT_REQUEST_NOT_OCCUR;
    INTC2.ICDMA0.BIT.MKDMA0 = _INT_PROCESSING_ENABLED;
    /* Enable DMAC00 operation */
    PDMA0.DCEN0 = _DMAC_CHANNEL_OPERATION_ENABLED;
}



#if   defined(ICS_RLIN30)
  #pragma interrupt r_Config_UARTx_interrupt_send(   enable=true, channel=34, fpu=true, callt=false)
  #pragma interrupt r_Config_UARTx_interrupt_receive(enable=true, channel=35, fpu=true, callt=false)
  #pragma interrupt r_Config_UARTx_interrupt_error(  enable=true, channel=36, fpu=true, callt=false)

#elif defined(ICS_RLIN31)
  #pragma interrupt r_Config_UARTx_interrupt_send(   enable=true, channel=121, fpu=true, callt=false)
  #pragma interrupt r_Config_UARTx_interrupt_receive(enable=true, channel=122, fpu=true, callt=false)
  #pragma interrupt r_Config_UARTx_interrupt_error(  enable=true, channel=123, fpu=true, callt=false)

#elif defined(ICS_RLIN32)
  #pragma interrupt r_Config_UARTx_interrupt_send(   enable=true, channel=165, fpu=true, callt=false)
  #pragma interrupt r_Config_UARTx_interrupt_receive(enable=true, channel=166, fpu=true, callt=false)
  #pragma interrupt r_Config_UARTx_interrupt_error(  enable=true, channel=167, fpu=true, callt=false)

#elif defined(ICS_RLIN33)
  #pragma interrupt r_Config_UARTx_interrupt_send(   enable=true, channel=229, fpu=true, callt=false)
  #pragma interrupt r_Config_UARTx_interrupt_receive(enable=true, channel=230, fpu=true, callt=false)
  #pragma interrupt r_Config_UARTx_interrupt_error(  enable=true, channel=231, fpu=true, callt=false)

#endif
/***********************************************************************************************************************
* Function Name: r_Config_UARTx_interrupt_send
* Description  : This function is UARTx send interrupt service routine
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void r_Config_UARTx_interrupt_send(void)
{
 // _u4UARTTransmitCount++;
}


/***********************************************************************************************************************
* Function Name: r_Config_UARTx_interrupt_receive
* Description  : This function is UARTx receive interrupt service routine
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void r_Config_UARTx_interrupt_receive(void)
{
 // _u4UARTReceiveCount++;    
    ics_int_sci_rxi(*(_ics_RLIN->LURDR.UINT8));
}


/***********************************************************************************************************************
* Function Name: r_Config_UARTx_interrupt_error
* Description  : This function is UARTx error interrupt service routine
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void r_Config_UARTx_interrupt_error(void)
{
 // _u4UARTErrorCount++;
    _u4_cg_sync_read = _ics_RLIN->LURDR.UINT16;
    _ics_RLIN->LEST  &= (uint8_t)~_UART_CLEAR_ERROR_FLAG;
}






